# eoFlOrKMutation< EOT > Class Template Reference

Applies an atomic mutation to a fixed number of components (1 by default). More...

`#include <eoFlOrMonOp.h>`

Inheritance diagram for eoFlOrKMutation< EOT >:

List of all members.

## Public Types

typedef EOT::AtomType | AtomType

## Public Member Functions

| eoFlOrKMutation (eoMonOp< AtomType > &_atomMutation, unsigned _nb=1)
| default ctor: requires an Atom mutation
bool | operator() (EOT &_eo)
| applies the atom mutation to K randomly selected components
virtual std::string | className () const
| inherited className()

## Private Attributes

unsigned | nb
eoMonOp< AtomType > & | atomMutation

## Detailed Description

### template<class EOT>
class eoFlOrKMutation< EOT >

Applies an atomic mutation to a fixed number of components (1 by default).

Definition at line 82 of file eoFlOrMonOp.h.

The documentation for this class was generated from the following file:

- eoFlOrMonOp.h